#ifndef __MAC_H
#define __MAC_H

#include "dhcp.h"
#define _MAX_MACS	128

typedef struct mac_t {                                                                                                                                                                                           
	char mac[19];                                                                                                                                                                                             
	char ip[17];                                                                                                                                                                                             
} mac_t;                                                                                                                                                                                                         

struct mac_t macs[_MAX_MACS];
unsigned int total_macs;

int mac_file_init(char *file);
char * mac_get_ip(unsigned char *bin_mac);
int mac_equals(char *ascii_mac, struct dhcp_packet *packet);

#endif
